annotate mkinstalldirs @ 63323:ccf928f0383c

(x_create_x_image_and_pixmap) [HAVE_NTGUI]: Cast 4th arg to CreateDIBSection to avoid a compiler warning. (pbm_load): Cast 3rd arg to IMAGE_BACKGROUND to avoid a compiler warning. (png_load): Cast return values of fn_png_create_read_struct and fn_png_create_info_struct, to avoid compiler warnings on W32. Cast 3rd arg to IMAGE_BACKGROUND and image_background_transparent to avoid compiler warnings. (jpeg_load): Cast return value of fn_jpeg_std_error to avoid a compiler warning on W32. Cast 3rd arg to IMAGE_BACKGROUND to avoid a compiler warning. (tiff_load): Cast return values of fn_TIFFOpen and fn_TIFFClientOpen to avoid compiler warning on W32. Cast 3rd arg to IMAGE_BACKGROUND to avoid a compiler warning. (gif_load): Cast return values of fn_DGifOpenFileName and fn_DGifOpen to avoid compiler warnings on W32. Cast 3rd arg to IMAGE_BACKGROUND to avoid a compiler warning. (DrawText) [HAVE_NTGUI || MAC_OS]: If already defined, undef before redefining.
author Eli Zaretskii <eliz@gnu.org>
date Sat, 11 Jun 2005 16:24:36 +0000
parents 746c40973d25
children 730155197b96 eb7e8d483840
Ignore whitespace changes - Everywhere: Within whitespace: At end of lines:
rev   line source
25880
Dave Love <fx@gnu.org>
parents:
diff changeset
1 #! /bin/sh
Dave Love <fx@gnu.org>
parents:
diff changeset
2 # mkinstalldirs --- make directory hierarchy
Dave Love <fx@gnu.org>
parents:
diff changeset
3 # Author: Noah Friedman <friedman@prep.ai.mit.edu>
Dave Love <fx@gnu.org>
parents:
diff changeset
4 # Created: 1993-05-16
Dave Love <fx@gnu.org>
parents:
diff changeset
5 # Public domain
Dave Love <fx@gnu.org>
parents:
diff changeset
6
Dave Love <fx@gnu.org>
parents:
diff changeset
7 errstatus=0
Dave Love <fx@gnu.org>
parents:
diff changeset
8
Dave Love <fx@gnu.org>
parents:
diff changeset
9 for file
Dave Love <fx@gnu.org>
parents:
diff changeset
10 do
Dave Love <fx@gnu.org>
parents:
diff changeset
11 set fnord `echo ":$file" | sed -ne 's/^:\//#/;s/^://;s/\// /g;s/^#/\//;p'`
Dave Love <fx@gnu.org>
parents:
diff changeset
12 shift
Dave Love <fx@gnu.org>
parents:
diff changeset
13
Dave Love <fx@gnu.org>
parents:
diff changeset
14 pathcomp=
Dave Love <fx@gnu.org>
parents:
diff changeset
15 for d
Dave Love <fx@gnu.org>
parents:
diff changeset
16 do
Dave Love <fx@gnu.org>
parents:
diff changeset
17 pathcomp="$pathcomp$d"
Dave Love <fx@gnu.org>
parents:
diff changeset
18 case "$pathcomp" in
Dave Love <fx@gnu.org>
parents:
diff changeset
19 -* ) pathcomp=./$pathcomp ;;
Dave Love <fx@gnu.org>
parents:
diff changeset
20 esac
Dave Love <fx@gnu.org>
parents:
diff changeset
21
Dave Love <fx@gnu.org>
parents:
diff changeset
22 if test ! -d "$pathcomp"; then
Dave Love <fx@gnu.org>
parents:
diff changeset
23 echo "mkdir $pathcomp" 1>&2
Dave Love <fx@gnu.org>
parents:
diff changeset
24
35853
774df19dd335 (errstatus): Chmod a+rx directories we create.
Gerd Moellmann <gerd@gnu.org>
parents: 25880
diff changeset
25 (mkdir "$pathcomp" && chmod a+rx "$pathcomp") || lasterr=$?
25880
Dave Love <fx@gnu.org>
parents:
diff changeset
26
Dave Love <fx@gnu.org>
parents:
diff changeset
27 if test ! -d "$pathcomp"; then
Dave Love <fx@gnu.org>
parents:
diff changeset
28 errstatus=$lasterr
Dave Love <fx@gnu.org>
parents:
diff changeset
29 fi
Dave Love <fx@gnu.org>
parents:
diff changeset
30 fi
Dave Love <fx@gnu.org>
parents:
diff changeset
31
Dave Love <fx@gnu.org>
parents:
diff changeset
32 pathcomp="$pathcomp/"
Dave Love <fx@gnu.org>
parents:
diff changeset
33 done
Dave Love <fx@gnu.org>
parents:
diff changeset
34 done
Dave Love <fx@gnu.org>
parents:
diff changeset
35
Dave Love <fx@gnu.org>
parents:
diff changeset
36 exit $errstatus
Dave Love <fx@gnu.org>
parents:
diff changeset
37
Dave Love <fx@gnu.org>
parents:
diff changeset
38 # mkinstalldirs ends here